//+------------------------------------------------------------------+
//|                                                  renko_alert.mq4 |
//|                                                         renegate |
//|                                                                  |
//+------------------------------------------------------------------+
//===================================================================+
//       ,                         |
//     ,                            |
//     (   ).                    |
//-------------------------------------------------------------------+
#property copyright "renegate"
#property link      ""

//---- input parameters
extern int       box=50;              //    
extern double    base=0.0;            //   
//+------------------------------------------------------------------+
//|                                                  |
//+------------------------------------------------------------------+
double Box;                           //      
static bool pusk_1 = false;           //      
static double R;                      //   
string File_Name = ".csv";            //      
int Handle;                           //   
//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
   File_Name = "renko_"+Symbol()+"_"+DoubleToStr(box, 0)+"p"+File_Name; //   
   string short_name = " ("+box+") .";                            //     
   Comment(short_name, " ,   : ", File_Name);       //  
   //-----------------------------------------------------------------
   FileDelete(File_Name);                                               //       
   Handle = FileOpen(File_Name, FILE_CSV|FILE_READ|FILE_WRITE, " ");    //     
   Box = box*Point;                                                     //   
   //-----------------------------------------------------------------
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Comment("");                       //  
   FileClose(Handle);                 //  
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
   //=================================================================
   //  
   //-----------------------------------------------------------------
   
   //=================================================================
   //         start
   //-----------------------------------------------------------------
   if (pusk_1 == false)
   {
    R = (MathFloor((Bid-base)/Box))*Box+base;
    //Print("Bid = ", Bid, "; R = ", R, ";");
    FileWrite(Handle, DoubleToStr(R, Digits));
    pusk_1 = true;                   //  1-     
    return(0);
   } // if (pusk_1 == false)
   //=================================================================
   //    
   //-----------------------------------------------------------------
   if (Bid >= R+Box)
   {
    R = R+Box;
    //Print("Bid = ", Bid, "; R = ", R, ";");
    FileWrite(Handle, DoubleToStr(R, Digits));
    return(0);
   } // if (Bid >= R+Box)
   if (Bid <= R-Box)
   {
    R = R-Box;
    //Print("Bid = ", Bid, "; R = ", R, ";");
    FileWrite(Handle, DoubleToStr(R, Digits));
    return(0);
   } // if (Bid <= R-Box)
   //=================================================================
   //-----------------------------------------------------------------
   return(0);
  }
//+------------------------------------------------------------------+